function OnScriptLoaded(level, obj)
end
function OnUpdate(level, obj)
end
function OnUseWorld(level, obj)
end
function OnSaveCheckpoint(level, obj)
  return {
    animFrame = obj.AnimFrame
  }
end
function OnRestoreCheckpoint(level, obj, savedInfo)
  obj:JumpAnimToFrame(savedInfo.animFrame)
  obj:PauseAnim()
end
